{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{% trans_default_domain ea.i18n.translationDomain %}

<!DOCTYPE html>
<html lang="{{ ea.i18n.htmlLocale }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="robots" content="noindex, nofollow, noarchive, nosnippet, noodp, noimageindex, notranslate, nocache"/>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <meta name="generator" content="EasyAdmin"/>

    <title>{% block page_title %}{{ block('content_title')|striptags|raw }}{% endblock %}</title>

    {% block head_stylesheets %}

    {% endblock %}

    {% block configured_stylesheets %}
        {% for css_asset in ea.assets.cssFiles ?? [] %}
            <link rel="stylesheet" href="{{ asset(css_asset) }}">
        {% endfor %}
    {% endblock %}

    {% block head_favicon %}
        <link rel="shortcut icon" href="{{ asset(ea.dashboardFaviconPath) }}">
    {% endblock %}

    {% block head_javascript %}
    {% endblock head_javascript %}

    {% if 'rtl' == ea.i18n.textDirection %}
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app-rtl.css') }}">
    {% endif %}

    {% block configured_head_contents %}
        {% for htmlContent in ea.assets.headContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}

    {{ encore_entry_link_tags('admin', null, 'adminBuild') }}
    {% block stylesheets %}{% endblock %}
</head>

{% block body %}
    <body id="{% block body_id %}{% endblock %}" class="ea {% block body_class %}{% endblock %}">

    <!--[if lt IE 8]>
    <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a
            href="http://browsehappy.com/">upgrade
        your browser</a> to improve your experience.</p>
    <![endif]-->
    <!-- preloader area start -->
    <div id="preloader">
        <div class="loader"></div>
    </div>
    <!-- preloader area end -->

    <script>
        document.body.classList.add(
            'ea-content-width-' + (localStorage.getItem('ea/content/width') || 'normal'),
            'ea-sidebar-width-' + (localStorage.getItem('ea/sidebar/width') || 'normal')
        );
    </script>
    <div class="page-container">

        {% block flash_messages %}
            {{ include(ea.templatePath('flash_messages')) }}
        {% endblock flash_messages %}

        {% include 'bundles/EasyAdminBundle/admin_base/_sidebar.html.twig' %}

        <div class="main-content">
            <!-- header area start -->
            <div class="header-area">
                <div class="row align-items-center">
                    <!-- nav and search button -->
                    <div class="col-md-6 col-sm-8 clearfix">
                        <div class="nav-btn pull-left">
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                        <div class="lang-box pull-left align-content-center mt-2">
                     {% include 'bundles/EasyAdminBundle/lang.html.twig' %}
                        </div>
                    </div>
                    <!-- profile info & task notification -->
                    <div class="col-md-6 col-sm-4 clearfix">
                        <ul class="notification-area pull-right">
                            <li id="full-view"><i class="ti-fullscreen"></i></li>
                            <li id="full-view-exit"><i class="ti-zoom-out"></i></li>
                            <li class="dropdown">
                                <i class="ti-bell dropdown-toggle" data-toggle="dropdown">
                                    <span>2</span>
                                </i>
                                <div class="dropdown-menu bell-notify-box notify-box">
                                    <span class="notify-title">You have 3 new notifications <a
                                                href="#">view all</a></span>
                                    <div class="nofity-list">
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-key btn-danger"></i></div>
                                            <div class="notify-text">
                                                <p>You have Changed Your Password</p>
                                                <span>Just Now</span>
                                            </div>
                                        </a>
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-comments-smiley btn-info"></i></div>
                                            <div class="notify-text">
                                                <p>New Commetns On Post</p>
                                                <span>30 Seconds ago</span>
                                            </div>
                                        </a>
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-key btn-primary"></i></div>
                                            <div class="notify-text">
                                                <p>Some special like you</p>
                                                <span>Just Now</span>
                                            </div>
                                        </a>
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-comments-smiley btn-info"></i></div>
                                            <div class="notify-text">
                                                <p>New Commetns On Post</p>
                                                <span>30 Seconds ago</span>
                                            </div>
                                        </a>
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-key btn-primary"></i></div>
                                            <div class="notify-text">
                                                <p>Some special like you</p>
                                                <span>Just Now</span>
                                            </div>
                                        </a>
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-key btn-danger"></i></div>
                                            <div class="notify-text">
                                                <p>You have Changed Your Password</p>
                                                <span>Just Now</span>
                                            </div>
                                        </a>
                                        <a href="#" class="notify-item">
                                            <div class="notify-thumb"><i class="ti-key btn-danger"></i></div>
                                            <div class="notify-text">
                                                <p>You have Changed Your Password</p>
                                                <span>Just Now</span>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            </li>
                            <li class="settings-btn">
                                <i class="ti-settings"></i>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <!-- header area end -->
            <!-- page title area start -->
            <div class="page-title-area">
                <div class="row align-items-center">
                    <div class="col-sm-6">
                        <div class="breadcrumbs-area clearfix">
                            <h4 class="page-title pull-left">{% block content_title %}{% endblock %}</h4>
{#                            <ul class="breadcrumbs pull-left">#}
{#                                <li><a href="{{ path('admin_dashboard') }}">Panel</a></li>#}
{#                            </ul>#}
                            {% set has_help_message = (ea.crud.helpMessage ?? '') is not empty %}
                            {% block content_help %}
                                {% if has_help_message %}
                                    <span class="content-header-help">
                                                                <i class="fa fa-question-circle" data-toggle="tooltip"
                                                                   title="{{ ea.crud.helpMessage|e('html_attr') }}"></i>
                                                            </span>
                                {% endif %}
                            {% endblock %}
                        </div>
                    </div>
                    <div class="col-sm-6 clearfix">
                        <div class="user-profile pull-right">
                            <img class="avatar user-thumb" src="{{ asset('admin/assets/images/author/avatar.png') }}"
                                 alt="avatar">
                            <h4 class="user-name dropdown-toggle"
                                data-toggle="dropdown">{{ 'user.logged_in_as'|trans(domain = 'EasyAdminBundle') }}
                                {{ ea.user is null ? 'user.anonymous'|trans(domain = 'EasyAdminBundle') : ea.userMenu.name }}
                                <i class="fa fa-angle-down"></i></h4>
                            {% block user_menu %}
                            {% if ea.userMenu.items|length > 0 %}
                            <div class="dropdown-menu">
                                {% for item in ea.userMenu.items %}
                                    <a href="{{ item.linkUrl }}" class="dropdown-item {{ item.cssClass }}"
                                       target="{{ item.linkTarget }}" rel="{{ item.linkRel }}"
                                       referrerpolicy="origin-when-cross-origin">
                                        {% if item.icon is not empty %}<i
                                            class="fa fa-fw {{ item.icon }}"></i>{% endif %}
                                        <span>{{ item.label }}</span>
                                    </a>
                                {% endfor %}
                            </div>

                        </div>
                        {% endif %}
                        {% endblock user_menu %}
                        <div class="content-top navbar-custom-menu">
                            {#
                            {% block header_custom_menu %}
                                {% if constant('Symfony\\Component\\Security\\Core\\Authorization\\Voter\\AuthenticatedVoter::IS_IMPERSONATOR') is defined %}
                                    {% set impersonator_permission = 'IS_IMPERSONATOR' %}
                                {% else %}
                                    {% set impersonator_permission = 'ROLE_PREVIOUS_ADMIN' %}
                                {% endif %}

                                <div class="user user-menu-wrapper {{ is_granted(impersonator_permission) ? 'user-is-impersonated' }}" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true">
                                    {% if ea.userMenu.isAvatarDisplayed %}
                                        {% if null == ea.userMenu.avatarUrl %}
                                            <i class="fa fa-fw {{ ea.user is not null ? 'fa-user-circle' : 'fa-user-times' }} user-avatar"></i>
                                        {% else %}
                                            <img class="user-avatar" src="{{ ea.userMenu.avatarUrl }}" />
                                        {% endif %}
                                    {% endif %}
                                    {% if ea.userMenu.isNameDisplayed %}
                                        <span class="user-name">{{ ea.userMenu.name }}</span>
                                    {% endif %}
                                </div>
                            {% endblock header_custom_menu %}
                            #}
                        </div>
                    </div>
                </div>
            </div>
            <div class="main-content-inner">
                {% block content %}
                    {% block page_actions_wrapper %}
                        <div class="row">
                            <div class="col">
                                <div class="page-actions pull-right mt-4 mb-4">{% block page_actions %}{% endblock %}</div>
                            </div>
                        </div>
                    {% endblock %}
                    <div class="row">
                        <div class="col">
                            {% block main %}{% endblock %}
                        </div>
                    </div>
                {% endblock %}
            </div>
        </div>
        <!-- page title area end -->

        <footer>
            <div class="footer-area">
                <p>© Copyright 2018. All right reserved. Template by <a href="https://colorlib.com/wp/">Colorlib</a>.
                </p>
                Icons made by <a href="https://www.flaticon.com/authors/freepik" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon"> www.flaticon.com</a>
            </div>
        </footer>
        {% block content_footer_wrapper %}
            {% set content_footer = block('content_footer') is defined ? block('content_footer') : '' %}
            {% if content_footer is not empty %}
                <section class="content-footer">
                    {{ content_footer }}
                </section>
            {% endif %}
        {% endblock %}
    </div>
    </div>

    {{ encore_entry_script_tags('admin', null, 'adminBuild') }}

    {% block body_javascript %}{% endblock body_javascript %}

    {% block configured_javascripts %}
        {% for js_asset in ea.assets.jsFiles ?? [] %}
            <script src="{{ asset(js_asset) }}"></script>
        {% endfor %}
    {% endblock %}

    {% block configured_body_contents %}
        {% for htmlContent in ea.assets.bodyContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}

    {% include 'bundles/EasyAdminBundle/admin_base/_offset_area.html.twig' %}


    {% block javascripts %}{% endblock %}
    </body>
{% endblock body %}
</html>